Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.jaas.spi
Class AbstractLoginModule

    java.lang.Object
      org.mortbay.jetty.plus.jaas.spi.AbstractLoginModule

All Implemented Interfaces:
  javax.security.auth.spi.LoginModule

Direct Known Subclasses:
  AbstractDatabaseLoginModule, LdapLoginModule, PropertyFileLoginModule

    public abstract class AbstractLoginModule

extends java.lang.Object
implements javax.security.auth.spi.LoginModule

AbstractLoginModule Abstract base class for all LoginModules. Subclasses should just need to implement getUserInfo method.

Nested Class Summary
`class` | `AbstractLoginModule.JAASUserInfo`

Constructor Summary
`AbstractLoginModule()`

Method Summary
`boolean` | `abort()`
`boolean` | `commit()`
`javax.security.auth.callback.Callback[]` | `configureCallbacks()`
`javax.security.auth.callback.CallbackHandler` | `getCallbackHandler()`
`AbstractLoginModule.JAASUserInfo` | `getCurrentUser()`
`javax.security.auth.Subject` | `getSubject()`
`abstract UserInfo` | `getUserInfo(java.lang.String username)`
`void` | `initialize(javax.security.auth.Subject subject, javax.security.auth.callback.CallbackHandler callbackHandler, java.util.Map sharedState, java.util.Map options)`
`boolean` | `isAuthenticated()`
`boolean` | `isCommitted()`
`boolean` | `login()`
`boolean` | `logout()`
`void` | `setAuthenticated(boolean authState)`
`void` | `setCallbackHandler(javax.security.auth.callback.CallbackHandler h)`
`void` | `setCommitted(boolean commitState)`
`void` | `setCurrentUser(AbstractLoginModule.JAASUserInfo u)`
`void` | `setSubject(javax.security.auth.Subject s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLoginModule

    public AbstractLoginModule()

Method Detail

### getSubject

    public javax.security.auth.Subject getSubject()

### setSubject

    public void setSubject(javax.security.auth.Subject s)

### getCurrentUser

    public AbstractLoginModule.JAASUserInfo getCurrentUser()

### setCurrentUser

    public void setCurrentUser(AbstractLoginModule.JAASUserInfo u)

### getCallbackHandler

    public javax.security.auth.callback.CallbackHandler getCallbackHandler()

### setCallbackHandler

    public void setCallbackHandler(javax.security.auth.callback.CallbackHandler h)

### isAuthenticated

    public boolean isAuthenticated()

### isCommitted

    public boolean isCommitted()

### setAuthenticated

    public void setAuthenticated(boolean authState)

### setCommitted

    public void setCommitted(boolean commitState)

### abort

    public boolean abort()
                  throws javax.security.auth.login.LoginException

  Specified by:
    `abort` in interface `javax.security.auth.spi.LoginModule`
  Throws:
    `javax.security.auth.login.LoginException`
  See Also:
    `LoginModule.abort()`

### commit

    public boolean commit()
                   throws javax.security.auth.login.LoginException

  Specified by:
    `commit` in interface `javax.security.auth.spi.LoginModule`
  Returns:
  Throws:
    `javax.security.auth.login.LoginException`
  See Also:
    `LoginModule.commit()`

### configureCallbacks

    public javax.security.auth.callback.Callback[] configureCallbacks()

### getUserInfo

    public abstract UserInfo getUserInfo(java.lang.String username)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### login

    public boolean login()
                  throws javax.security.auth.login.LoginException

  Specified by:
    `login` in interface `javax.security.auth.spi.LoginModule`
  Returns:
  Throws:
    `javax.security.auth.login.LoginException`
  See Also:
    `LoginModule.login()`

### logout

    public boolean logout()
                   throws javax.security.auth.login.LoginException

  Specified by:
    `logout` in interface `javax.security.auth.spi.LoginModule`
  Returns:
  Throws:
    `javax.security.auth.login.LoginException`
  See Also:
    `LoginModule.logout()`

### initialize

    public void initialize(javax.security.auth.Subject subject,
                           javax.security.auth.callback.CallbackHandler callbackHandler,
                           java.util.Map sharedState,
                           java.util.Map options)

  Specified by:
    `initialize` in interface `javax.security.auth.spi.LoginModule`
  Parameters:
    `subject` -
    `callbackHandler` -
    `sharedState` -
    `options` -
  See Also:
    `LoginModule.initialize(javax.security.auth.Subject, javax.security.auth.callback.CallbackHandler, java.util.Map, java.util.Map)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.